{{#if @value.type}}
  <Manage::SideBarGroup @title={{t 'source'}} @canEdit={{false}}>

    {{#if this.isCampaign}}
      <div class='source-campaign' {{did-insert this.setup}}>
        <p class='fs-7 mb-0'>
          <LinkTo
            @route='campaigns.campaign'
            @model={{this.campaign.id}}
            class='text-decoration-none font-weight-bold btn-campaign'
          >
            {{this.campaign.name}}
          </LinkTo>
        </p>

        <p class='fs-7 source-remote-id'>
          {{capitalize (t 'answer')}}
          {{@value.remoteId}}
        </p>
      </div>
    {{else if this.isDataBinding}}
      <div class='source-data-binding' {{did-insert this.setup}}>
        <p class='fs-7 mb-0'>
          <LinkTo
            @route='manage.databindings.edit'
            @model={{this.dataBinding.id}}
            class='text-decoration-none font-weight-bold btn-data-binding'
          >
            {{this.dataBinding.name}}
          </LinkTo>
        </p>

        <p class='fs-7 source-remote-id'>
          {{@value.remoteId}}
        </p>
      </div>
    {{else if this.isBaseMap}}
      <div class='source-base-map' {{did-insert this.setup}}>
        <p class='fs-7 mb-0'>
          <LinkTo
            @route='manage.basemaps.edit'
            @model={{this.baseMap.id}}
            class='text-decoration-none font-weight-bold btn-base-map'
          >
            {{this.baseMap.name}}
          </LinkTo>
        </p>
      </div>
    {{else}}
      <div class='source-other'>
        <p class='fs-7 source-type'>
          {{capitalize (t 'type')}}
          {{@value.type}}
        </p>
        <p class='fs-7 source-model-id'>
          {{capitalize (t 'model id')}}
          {{@value.modelId}}
          {{#if this.hasMissingModel}}
            <span class='text-danger'>({{t 'deleted'}})</span>
          {{/if}}
        </p>
        <p class='fs-7 source-remote-id'>
          {{capitalize (t 'remote id')}}
          {{@value.remoteId}}
        </p>
      </div>
    {{/if}}

    {{#if this.hasSyncAt}}
      <p class='fs-7 source-sync-at'>
        {{t 'sync on'}}
        <View::LocalDateTime class='d-inline-block' @value={{this.syncAt}} />
      </p>
    {{/if}}
  </Manage::SideBarGroup>
{{/if}}